/**
 * @license
 * Copyright © 2017-2018 Moov Corporation.  All rights reserved.
 */
import createRequest from './createRequest'

/**
 * Helper for moov_request_header_transform.js
 * @param {Router} options.router The app's router
 */
export default function requestHeaderTransform({ router }) {
  const request = createRequest()
  fns.export('headers', JSON.stringify(request.headers))

  if (env.__static_origin_path__) {
    // always go upstream for static paths
    return
  } else if (env.secure !== "true") {
    // don't bother going upstream if we're not using https, we're just going to redirect
    moovSkipUpstream()
  } else if (router.willFetchFromUpstream(request)) {
    // Adapt route
    console.log('[react-storefront]', `going upstream for ${env.path}`)
    headers.header("host", env.source_host)
  } else {
    // PWA route
    console.log('[react-storefront]', `rendering PWA for ${env.path}`)
    moovSkipUpstream()
  }
}
